## segemehl 0.3

=== Makefile ===
CC?=gcc
LD=${CC}
CFLAGS=  -Wall -pedantic -std=c99 -g -O3 -DSORTEDUNMAPPED -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBGNFO -DSHOWALIGN -DDBGLEVEL=0 -DPROGNFO -Ilibs -Ilibs/sufarray -Isamtools
CFLAGS += `pkg-config --cflags htslib`
INC := -I include
CTAGS = ctags > tags
LIB = -lm -lpthread -lz -lncurses -L libs -lform -lmenu -L/usr/local/lib/
LIB += `pkg-config --libs htslib`
LIB += "-Wl,-rpath,`pkg-config --variable=libdir htslib`"


PRGTARGETS := segemehl haarz

LIBDIR := libs
BUILDDIR:= build
TARGETDIR := .
TARGETEXT := .x
SRCEXT := c


SOURCES := $(shell find $(LIBDIR) -type f -name *.$(SRCEXT))
SOURCES := $(filter-out $(EXCLUDE), $(SOURCES)) 

PRGSOURCES := $(patsubst %,$(LIBDIR)/%.c,$(PRGTARGETS))
LIBSOURCES := $(filter-out $(PRGSOURCES), $(SOURCES)) 

OBJECTS := $(patsubst $(LIBDIR)/%,$(BUILDDIR)/%,$(SOURCES:.$(SRCEXT)=.o))
LIBOBJECTS :=  $(patsubst $(LIBDIR)/%,$(BUILDDIR)/%,$(LIBSOURCES:.$(SRCEXT)=.o))


$(PRGTARGETS): $(OBJECTS)
	@echo "Linking $@";	
	$(LD) $(LIBOBJECTS) $(BUILDDIR)/$@.o -o $(TARGETDIR)/$@$(TARGETEXT) $(LIB)


$(BUILDDIR)/%.o: $(LIBDIR)/%.c
	@echo "Building... library for source $@";
	@mkdir -p $(BUILDDIR)	
	$(CC) $(CFLAGS) $(INC) -c -o $@ $<

all: $(PRGTARGETS)

clean:
	@echo " Cleaning...";
	@echo " $(RM) -r $(BUILDDIR) $(PRGTARGETS)"; $(RM) -r $(BUILDDIR) $(PRGTARGETS)


.PHONY: clean

=== debian/changelog ===
segemehl (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #910357)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Oct 2018 12:02:13 +0200

=== debian/control ===
Source: segemehl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               libhts-dev,
               libncurses-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/segemehl
Vcs-Git: https://salsa.debian.org/med-team/segemehl.git
Homepage: http://www.bioinf.uni-leipzig.de/Software/segemehl/

Package: segemehl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short read mapping with gaps
 Segemehl is a software to map short sequencer reads to reference
 genomes. Segemehl implements a matching strategy based on enhanced
 suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzipâ€™ed
 and bgzip'ed). In addition to the alignment of reads from standard DNA-
 and RNA-seq protocols, it also allows the mapping of bisulfite converted
 reads (Lister and Cokus) and implements a split read mapping strategy.
 The output of segemehl is a SAM or BAM formatted alignment file. In the
 case of split-read mapping, additional BED files are written to the
 disc. These BED files may be summarized with the postprocessing tool
 haarz. In the case of the alignment of bisulfite converted reads, raw
 methylation rates may also be called with haarz.
 .
 In brief, for each suffix of a read, segemehl aims to find the
 best-scoring seed. Seeds might contain insertions, deletions, and
 mismatches (differences). The number of differences allowed within a
 single seed is user-controlled and is crucial for the runtime of the
 program.  Subsequently, seeds that undercut the user-defined E-value are
 passed on to an exact semi-global alignment procedure. Finally, reads
 with a minimum accuracy of percent are reported to the user.

=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://www.bioinf.uni-leipzig.de/Software/segemehl/ .*/segemehl_(\d[_.\d]+)\.tar\.gz

# opts="searchmode=plain,uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
# May be we can use searchmode=plain to fetch "<a href="downloads/segemehl.tar.gz">Download segemehl version 0.3</a>"

## segemehl 0.3.2

=== debian/changelog ===
segemehl (0.3.2-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2018 15:51:18 +0100

## segemehl 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC?=gcc
 LD=${CC}
-CFLAGS=  -Wall -pedantic -std=c99 -g -O3 -DSORTEDUNMAPPED -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBGNFO -DSHOWALIGN -DDBGLEVEL=0 -DPROGNFO -Ilibs -Ilibs/sufarray -Isamtools
+CFLAGS +=  -Wall -pedantic -std=c99 -g -O3 -DSORTEDUNMAPPED -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBGNFO -DSHOWALIGN -DDBGLEVEL=0 -DPROGNFO -Ilibs -Ilibs/sufarray -Isamtools
 CFLAGS += `pkg-config --cflags htslib`
 INC := -I include
 CTAGS = ctags > tags
-LIB = -lm -lpthread -lz -lncurses -L libs -lform -lmenu -L/usr/local/lib/
+LIB += -lm -lpthread -lz -lncurses -L libs -lform -lmenu -L/usr/local/lib/
 LIB += `pkg-config --libs htslib`
 LIB += "-Wl,-rpath,`pkg-config --variable=libdir htslib`"
 
@@ -30,7 +30,7 @@
 
 $(PRGTARGETS): $(OBJECTS)
 	@echo "Linking $@";	
-	$(LD) $(LIBOBJECTS) $(BUILDDIR)/$@.o -o $(TARGETDIR)/$@$(TARGETEXT) $(LIB)
+	$(LD) $(LIBOBJECTS) $(BUILDDIR)/$@.o -o $(TARGETDIR)/$@$(TARGETEXT) $(LIB) $(LDFLAGS)
 
 
 $(BUILDDIR)/%.o: $(LIBDIR)/%.c

=== debian/changelog ===
segemehl (0.3.4-3) unstable; urgency=medium

  * Team Upload.
  * Do not hardcode pkg-config to fix
    non cross-buildability
  * d/u/metadata: Update URLs

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 15:14:26 +0530

segemehl (0.3.4-2) unstable; urgency=medium

  * Fix typo in long description
    Closes: #945040
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 22:59:53 +0100

segemehl (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libhts-dev,
                libncurses-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/segemehl
 Vcs-Git: https://salsa.debian.org/med-team/segemehl.git
 Homepage: http://www.bioinf.uni-leipzig.de/Software/segemehl/
@@ -20,7 +20,7 @@
 Description: short read mapping with gaps
  Segemehl is a software to map short sequencer reads to reference
  genomes. Segemehl implements a matching strategy based on enhanced
- suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzipâ€™ed
+ suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzip'ed
  and bgzip'ed). In addition to the alignment of reads from standard DNA-
  and RNA-seq protocols, it also allows the mapping of bisulfite converted
  reads (Lister and Cokus) and implements a split read mapping strategy.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	mv segemehl.x	segemehl
	mv haarz.x	haarz
	find . -name "*.x"
	dh_install
